Package com.avaya.clientservices.agent

## Enum ButtonLampState

- java.lang.Object
- - java.lang.Enum<ButtonLampState>
  - - com.avaya.clientservices.agent.ButtonLampState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ButtonLampState>`

      public enum ButtonLampState
      extends java.lang.Enum<ButtonLampState>

  All supported button lamp types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BROKEN_FLUTTER` | Broken flutter lamp state.
    `DARK` | Dark button lamp state.
    `FLASH` | Flash button lamp state.
    `NONE` | Default button lamp state.
    `STEADY` | Steady button lamp state.
    `WINK` | Wink button lamp state

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ButtonLampState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ButtonLampState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ButtonLampState NONE

      Default button lamp state.

    - #### DARK

          public static final ButtonLampState DARK

      Dark button lamp state.

    - #### STEADY

          public static final ButtonLampState STEADY

      Steady button lamp state.

    - #### BROKEN_FLUTTER

          public static final ButtonLampState BROKEN_FLUTTER

      Broken flutter lamp state.

    - #### WINK

          public static final ButtonLampState WINK

      Wink button lamp state

    - #### FLASH

          public static final ButtonLampState FLASH

      Flash button lamp state.

  - ### Method Detail

    - #### values

          public static ButtonLampState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ButtonLampState c : ButtonLampState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ButtonLampState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null